libexporter-lite-perl_0.06-1_all.deb


Advertisement

Description

libexporter-lite-perl - lightweight subset of Exporter

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libexporter-lite-perl
Package version 0.06
Package release 1
Package architecture all
Package type deb
Installed size 55 B
Download size 11.34 KB
Official Mirror ftp.br.debian.org
Exporter::Lite is an alternative to Exporter, intended to provide a
lightweight subset of the most commonly-used functionality. It supports
import(), @EXPORT and @EXPORT_OK and not a whole lot else.
Unlike Exporter, it is not necessary to inherit from Exporter::Lite (ie. no
@ISA = qw(Exporter::Lite) mantra). Exporter::Lite simply exports its import()
function into your namespace. This might be called a "mix-in" or a "role".
Setting up a module to export its variables and functions is simple:
package My::Module;
use Exporter::Lite;
@EXPORT = qw($Foo bar);
Functions and variables listed in the @EXPORT package variable are
automatically exported if you use the module and don't explicitly list any
imports. Now, when you use My::Module, $Foo and bar() will show up.

Alternatives

Package Version Architecture Repository
libexporter-lite-perl_0.06-1_all.deb 0.06 all Debian Main
libexporter-lite-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libexporter-lite-perl_0.06-1_all.deb
Source Package libexporter-lite-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libexporter-lite-perl deb package:
    # sudo apt-get install libexporter-lite-perl

Files

Path
/usr/share/doc/libexporter-lite-perl/changelog.Debian.gz
/usr/share/doc/libexporter-lite-perl/changelog.gz
/usr/share/doc/libexporter-lite-perl/copyright
/usr/share/man/man3/Exporter::Lite.3pm.gz
/usr/share/perl5/Exporter/Lite.pm

Changelog

2014-07-31 - gregor herrmann <gregoa@debian.org>
libexporter-lite-perl (0.06-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Update long description from upstream DESCRIPTION.
2014-05-25 - gregor herrmann <gregoa@debian.org>
libexporter-lite-perl (0.05-1) unstable; urgency=medium
* Team upload.
* New upstream release.
2014-04-24 - Florian Schlichting <fsfs@debian.org>
libexporter-lite-perl (0.04-1) unstable; urgency=low
[ Ansgar Burchardt ]
* Update my email address.
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
* Strip trailing slash from metacpan URLs.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ Florian Schlichting ]
* Import Upstream version 0.04
* Update upstream contact
* Update stand-alone license paragraphs to commonly used version (not
limiting Debian to GNU/Linux, directly linking to GPL-1)
* Bump dh compatibility to level 8
* Switch to source format 3.0 (quilt)
* Declare compliance with Debian Policy 3.9.5
* Add myself to uploaders and copyright
2009-07-22 - Ansgar Burchardt <ansgar@43-1.org>
libexporter-lite-perl (0.02-2) unstable; urgency=low
[ Ryan Niebur ]
* moved with permission from Bart (Closes: #531503)
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza);
${misc:Depends} to Depends: field. Removed: Homepage pseudo-field
(Description). Changed: Maintainer set to Debian Perl Group <pkg-
perl-maintainers@lists.alioth.debian.org> (was: Bart Martens
<bartm@knars.be>); Bart Martens <bartm@knars.be> moved to Uploaders.
* debian/watch: use dist-based URL.
* remove Bart from Uploaders
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Ansgar Burchardt ]
* Bump Standards-Version to 3.8.2.
* Use debhelper 7 instead of cdbs.
* Convert debian/copyright to proposed machine-readable format.
* Add myself to Uploaders.
2007-04-13 - Bart Martens <bartm@knars.be>
libexporter-lite-perl (0.02-1) unstable; urgency=low
* New upstream release.
* debian/patches/01_add_whitespace.diff: Removed.
2006-11-18 - Bart Martens <bartm@knars.be>
libexporter-lite-perl (0.01-9) unstable; urgency=low
* New maintainer, as agreed with Stephen.
* debian/*: Use cdbs.
* debian/copyright: Updated to add copyright notices.
* debian/watch: Updated to version 3.
2006-06-21 - Stephen Quinney <sjq@debian.org>
libexporter-lite-perl (0.01-8) unstable; urgency=low
* Moved debhelper to Build-Depends
* Switched to my debian.org email address throughout
2005-01-14 - Stephen Quinney <sjq@debian.org>
libexporter-lite-perl (0.01-7) unstable; urgency=low
* New maintainer, closes: #289431.
* debian/control
* Changed section to perl
* Updated to latest Standards-Version
* Increased build-dependency on debhelper to >= 4
* debian/compat - Added, in-line with current best practice
* debian/rules - Changed to my standard style
* debian/copyright - Clarified slightly
2002-11-26 - Dagfinn Ilmari Mannsaker <ilmari@ping.uio.no>
libexporter-lite-perl (0.01-6) unstable; urgency=low
* debian/control: Bumped Standards-Version
* lib/Exporter/Lite.pm: Add whitespace before "=head1 NAME"
2002-08-09 - Dagfinn Ilmari Mannsaker <ilmari@ping.uio.no>
libexporter-lite-perl (0.01-5) unstable; urgency=low
* Really fix debian/copyright

See Also

Package Description
libexporter-renaming-perl_1.19-1_all.deb facility to rename symbols when imported
libexporter-tidy-perl_0.07-2_all.deb another way of exporting symbols
libexporter-tiny-perl_0.038-2_all.deb tiny exporter similar to Sub::Exporter
libextlib-ocaml-dev_1.6.1-1_amd64.deb extended standard library for OCaml
libextlib-ocaml_1.6.1-1_amd64.deb extended standard library for OCaml (plugins)
libextlib-ruby-doc_0.9.15-3_all.deb Transitional package for ruby-extlib
libextlib-ruby1.8_0.9.15-3_all.deb Transitional package for ruby-extlib
libextlib-ruby1.9.1_0.9.15-3_all.deb Transitional package for ruby-extlib
libextlib-ruby_0.9.15-3_all.deb Transitional package for ruby-extlib
libextractor-dev_1.3-2+deb8u1_amd64.deb extracts meta-data from files of arbitrary type (development)
libextractor-java-dev_0.6.0-6_amd64.deb Java bindings for GNU libextractor (development)
libextractor-java0_0.6.0-6_amd64.deb Java bindings for GNU libextractor
libextractor3_1.3-2+deb8u1_amd64.deb extracts meta-data from files of arbitrary type (library)
libexttextcat-2.0-0_3.4.4-1_amd64.deb Language detection library
libexttextcat-data_3.4.4-1_all.deb Language detection library - data files
Advertisement
Advertisement